Subject: Re: [PATCH v1 2/3] Treewide: Stop corrupting socket's task_frag

From: Guillaume Nault <[email-masked]>
Date: Wed, 30 Nov 2022 12:48:35 +0100

On Tue, Nov 29, 2022 at 03:02:42PM +0100, Christoph Hellwig wrote:
> Hmm.  Having to set a flag to not accidentally corrupt per-task
> state seems a bit fragile.  Wouldn't it make sense to find a way to opt
> into the feature only for sockets created from the syscall layer?

That's something I originally considered. But, as far as I can see, nbd
needs this flag _and_ uses sockets created in user space. So it'd still
need to opt out manually.